Crashpad

Public Types | Public Member Functions | List of all members
crashpad::BinaryPruneCondition Class Referencefinal

A PruneCondition that conjoins two other PruneConditions. More...

`#include "client/prune_crash_reports.h"`

Inheritance diagram for crashpad::BinaryPruneCondition:

## Public Types
enum | Operator

## Public Member Functions
| BinaryPruneCondition (Operator op, PruneCondition *lhs, PruneCondition *rhs)
| Evaluates two sub-conditions according to the specified logical operator. More...
bool | ShouldPruneReport (const CrashReportDatabase::Report &report) override
| Evaluates a crash report for deletion. More...

## Additional Inherited Members
Static Public Member Functions inherited from crashpad::PruneCondition
static std::unique_ptr< PruneCondition > | GetDefault ()
| Returns a sensible default condition for removing obsolete crash reports. More...

## Detailed Description

A PruneCondition that conjoins two other PruneConditions.

## Constructor & Destructor Documentation

## ◆ BinaryPruneCondition()

BinaryPruneCondition::BinaryPruneCondition | ( | Operator | op,
|  | PruneCondition * | lhs,
|  | PruneCondition * | rhs
| ) |  |

Evaluates two sub-conditions according to the specified logical operator.

This implements left-to-right evaluation. For Operator::AND, this means if the lhs is `false`, the rhs will not be consulted. Similarly, with Operator::OR, if the lhs is `true`, the rhs will not be consulted.

Parameters

  [in] | op | The logical operator to apply on lhs and rhs.
  [in] | lhs | The left-hand side of op. This class takes ownership.
  [in] | rhs | The right-hand side of op. This class takes ownership.

## Member Function Documentation

## ◆ ShouldPruneReport()

bool BinaryPruneCondition::ShouldPruneReport | ( | const CrashReportDatabase::Report & | report | ) |
| override virtual

Evaluates a crash report for deletion.

Parameters

  [in] | report | The crash report to evaluate.

Returns
  `true` if the crash report should be deleted, `false` if it should be kept.

Implements crashpad::PruneCondition.

The documentation for this class was generated from the following files:

- client/prune_crash_reports.h
- client/prune_crash_reports.cc